Loading...
Searching...
No Matches
TrilinearTraits< ValueT, Staggered > Struct Template Reference

`#include <openvdb/points/PointRasterizeTrilinear.h>`

## Public Types

using | ResultT = typename std::conditional< VecTraits< ValueT >::IsVec, ValueT, math::Vec3< ValueT > >::type
template<typename PointDataTreeT >
using | TreeT = typename PointDataTreeT::template ValueConverter< ResultT >::Type

## Member Typedef Documentation

## ResultT

template<typename ValueT , bool Staggered = true>

using ResultT = typename std::conditional< VecTraits<ValueT>::IsVec, ValueT, math::Vec3<ValueT> >::type

## TreeT

template<typename ValueT , bool Staggered = true>
template<typename PointDataTreeT >

using TreeT = typename PointDataTreeT::template ValueConverter<ResultT>::Type